Eclipse Platform Release 3.7

## org.eclipse.ui
Interface IContainmentAdapter

    public interface IContainmentAdapter

This adapter interface provides a way to test element containment in a model-independent way. The workbench uses this interface in certain views to test if a given resource is part of a working set.

Since:
  2.1

Field Summary
`static int` `CHECK_CONTEXT` Checks whether the given element corresponds to the containment context.
`static int` `CHECK_IF_ANCESTOR` Checks whether the given element corresponds to an ancestor of the containment context.
`static int` `CHECK_IF_CHILD` Checks whether the given element corresponds to a direct child of the containment context.
`static int` `CHECK_IF_DESCENDANT` Checks whether the given element corresponds to a descendant of the containment context.

Method Summary
`boolean` `contains(Object containmentContext, Object element, int flags)` Returns whether the given element is considered contained in the specified containment context or if it is the context itself.

Field Detail

### CHECK_CONTEXT

    static final int CHECK_CONTEXT

  Checks whether the given element corresponds to the containment context.

  See Also:
    Constant Field Values

### CHECK_IF_CHILD

    static final int CHECK_IF_CHILD

  Checks whether the given element corresponds to a direct child of the containment context. Does not include the containment context itself.

  See Also:
    Constant Field Values

### CHECK_IF_ANCESTOR

    static final int CHECK_IF_ANCESTOR

  Checks whether the given element corresponds to an ancestor of the containment context. Does not include the containment context itself.

  See Also:
    Constant Field Values

### CHECK_IF_DESCENDANT

    static final int CHECK_IF_DESCENDANT

  Checks whether the given element corresponds to a descendant of the containment context. Does not include the containment context itself.

  See Also:
    Constant Field Values

Method Detail

### contains

    boolean contains(Object containmentContext,
                     Object element,
                     int flags)

  Returns whether the given element is considered contained in the specified containment context or if it is the context itself.

  Parameters:
    `containmentContext` - object that provides containment context for the element. This is typically a container object (e.g., IFolder) and may be the element object itself.
    `element` - object that should be tested for containment
    `flags` - one or more of `CHECK_CONTEXT`, `CHECK_IF_CHILD`, `CHECK_IF_ANCESTOR`, `CHECK_IF_DESCENDENT` logically ORed together.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.